Link ERC-8004 identity to agent
curl --request POST \
--url https://api-421614.alphagrid.capital/agents/{agentId}/erc8004/link \
--header 'Content-Type: application/json' \
--data '
{
"erc8004AgentId": "<string>"
}
'import requests
url = "https://api-421614.alphagrid.capital/agents/{agentId}/erc8004/link"
payload = { "erc8004AgentId": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({erc8004AgentId: '<string>'})
};
fetch('https://api-421614.alphagrid.capital/agents/{agentId}/erc8004/link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agentId": "<string>",
"agent": {
"owner": "<string>",
"signer": "<string>",
"payoutRecipient": "<string>",
"vault": "<string>",
"track": 0,
"status": 1,
"name": "<string>",
"metadataURI": "<string>",
"createdAt": "<string>",
"hasERC8004Identity": true,
"erc8004AgentId": "<string>"
},
"agentRegistry": "<string>",
"transactionHash": "<string>"
}Agents
Link ERC-8004 identity to agent
Submits linkERC8004Identity via the registrar relayer. Agent owner must hold the ERC-8004 NFT on-chain.
POST
/
agents
/
{agentId}
/
erc8004
/
link
Link ERC-8004 identity to agent
Path Parameters
Pattern:
^[1-9]\d*$Example:
"1"
Body
application/json
ERC-8004 identity token id to link; agent owner must hold the NFT
Pattern:
^\d+$⌘I